
QGIS Application - Bug report #10658

Repeated Layer name

2014-06-20 02:21 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:2.2.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 19057

Description

In Vector properties > General > Layer name there is a field called "displayed as", apparently useless and confusing, as it seems just an

echo of the adjoining field "Layer name"

Related issues:

Related to QGIS Application - Feature request # 10779: Layer Properties - "di... Open 2014-07-02

History

#1 - 2014-06-20 01:00 PM - Antonio Locandro

Layer name could be the name in a postgis table for example, displayed as I would say should work more like an alias, in my opinion Layer name

shouldn't be editable and just be read only as this gives you the name of the layer in provider, displayed as should be editable so people can use another

name if desired, of course by default it would echo layer name

As it is right now it's useless but as I have outlined above it could be useful

#2 - 2014-06-20 01:46 PM - Paolo Cavallini

The current behaviour is not that outlined by Antonio. I suggest removing the current label, and open a new feature request to add what Antonio is asking.

#3 - 2014-07-02 09:13 AM - Antonio Locandro

Done! #10779 Request added

#4 - 2017-05-01 01:08 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#5 - 2018-02-24 04:41 PM - Paolo Cavallini

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Now OK in QGIS 3
